//
//  UINavTabAppAppDelegate.m
//  UINavTabApp
//
//  Created by Javier Cala Uribe on 3/06/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "UINavTabAppAppDelegate.h"

@implementation UINavTabAppAppDelegate

@synthesize window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    

	// Inicializa los controladores
	navigationController = [[UINavigationController alloc] init];	
	tabBarController     = [[UITabBarController alloc] init];
	
	// Inicializa la primer vista del TabBarController
	UIViewController *primerViewController = [[UIViewController alloc] init];
    primerViewController.title = @"Primero";

	// Inicializa la segunda vista del TabBarController
	UIViewController *segundoViewController = [[UIViewController alloc] init];
    segundoViewController.title = @"Segundo";
	
	// Agrega la segunda vista al controlador UINavigationController
	[navigationController pushViewController:segundoViewController animated:NO];	
	
	// Agrega las vistas creadas al controlador UITabBarController
	// 1. Primer Vista = UIViewController
	// 2. Segunda Vista = UINavigationController
	[tabBarController setViewControllers:[NSArray arrayWithObjects:primerViewController, navigationController, nil] animated:YES];

	// Libera memoria con los controladores ya utilizados
	[primerViewController release];
	[segundoViewController release];

	// Agrega el controlador UITabBarController a la ventana principal
	[window addSubview:[tabBarController view]];	
	
    [window makeKeyAndVisible];
	
	// Retorna YES XD
	return YES;
}

- (void)dealloc {
    [window release];
	[tabBarController release];
	[navigationController release];
    [super dealloc];
}

@end